Conversations
Read one conversation
GET
The conversation with its 20 latest messages, newest first. Does not mark it read.
header
AuthorizationBearer <token>Send your key as Authorization: Bearer eksis_sk_....
conversationId*stringThe conversation.
application/json- response
data?curl -X GET 'https://api.eksis.io/v1/conversations/string' \ -H 'Authorization: Bearer eksis_sk_...'{ "data": { "id": "string", "channelId": "string", "platform": "string", "contact": { "name": "string", "username": "string" }, "status": "open", "unreadCount": 0, "lastMessageAt": "2019-08-24T14:15:22Z", "lastMessagePreview": "string", "replyWindow": { "state": "open", "expiresAt": "2019-08-24T14:15:22Z" }, "messages": [ { "id": "string", "direction": "inbound", "text": "string", "attachments": [ { "type": "string", "url": "string" } ], "status": "string", "sentVia": "string", "createdAt": "2019-08-24T14:15:22Z" } ] }}